%h1
  Production Service Providers
  %button.btn.btn-outline-primary.cta{"data-target" => "#serviceProvidersModal", "data-toggle" => "modal"}
    Setup new service provider

- if @sending_providers_projects.count > 0
  #serviceProvidersModal.modal.fade{"aria-hidden" => "true", "aria-labelledby" => "exampleModalLabel", :role => "dialog", :tabindex => "-1"}
    .modal-dialog.modal-lg{:role => "document"}
      .modal-content{style: "height: 400px"}
        .modal-header
          %h3#exampleModalLabel.modal-title Choose service provider
          %button.close{"aria-label" => "Close", "data-dismiss" => "modal", :type => "button"}
            %span{"aria-hidden" => "true"} ×
        .modal-body{style: "display: flex; flex-wrap: nowrap;"}
          -@unused_services.each do |provider|
            .text-center.projects{style: "flex-grow: 1; flex-basis: 0; max-width: 150px;"}
              =link_to "/projects/#{@project.id}/create_from_provider/#{provider.id}" do
                %div.project_btn
                  = get_smtp_icon provider.name
                  %h3= provider.name
                  %h5= provider.build_state

  .providers{style: "margin: 30px;"}
    - @sending_providers_projects.each do |srvc|
      .card{style: "margin-top: 10px"}
        .card-header.row{style: "margin: unset;"}
          .col-md-1
            = get_smtp_icon srvc.sending_provider.name
          .col-md-11
            %h2
              = srvc.sending_provider.name
            %h5{style: "color: #65b90f"}
              = default_text(@project.has_as_default?(srvc))
        .card-body.row
          .col-sm-2
            = link_to 'Edit', edit_project_sending_providers_project_path(@project, srvc)
          .col-sm-2
            = link_to 'Destroy', project_sending_providers_project_path(@project, srvc), method: :delete, data: { confirm: 'Are you sure?' }, class: "destroylight"

  %br
- else
  .modal-dialog.modal-lg{:role => "document"}
    .modal-content{style: "height: 400px"}
      .modal-header
        %h3#exampleModalLabel.modal-title Choose service provider
      .modal-body{style: "display: flex; flex-wrap: nowrap;"}
        -@unused_services.each do |provider|
          .text-center.projects{style: "flex-grow: 1; flex-basis: 0; max-width: 150px;"}
            =link_to "/projects/#{@project.id}/create_from_provider/#{provider.id}" do
              %div.project_btn
                = get_smtp_icon provider.name
                %h3= provider.name
                %h5= provider.build_state
